AppraisalRatio {PerformanceAnalytics} | R Documentation

## Appraisal ratio of the return distribution

### Description

Appraisal ratio is the Jensen's alpha adjusted for specific risk. The numerator is divided by specific risk instead of total risk.

### Usage

    AppraisalRatio(Ra, Rb, Rf = 0, method = c("appraisal", "modified",
      "alternative"), ...)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rb` | return vector of the benchmark asset
`Rf` | risk free rate, in same period as your returns
`method` | is one of "appraisal" to calculate appraisal ratio, "modified" to calculate modified Jensen's alpha or "alternative" to calculate alternative Jensen's alpha.
`...` | any other passthru parameters

### Details

Modified Jensen's alpha is Jensen's alpha divided by beta.

Alternative Jensen's alpha is Jensen's alpha divided by systematic risk.

Appraisal ratio = Jensen's alpha / specific risk

Modified Jensen's alpha = Jensen's alpha / beta

Alternative Jensen's alpha = Jensen's alpha / systematic risk

where alpha is the Jensen's alpha, σ_{epsilon} is the specific risk, σ_S is the systematic risk.

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.77

### Examples

    data(portfolio_bacon)
    print(AppraisalRatio(portfolio_bacon[,1], portfolio_bacon[,2], method="appraisal")) #expected -0.430
    print(AppraisalRatio(portfolio_bacon[,1], portfolio_bacon[,2], method="modified"))
    print(AppraisalRatio(portfolio_bacon[,1], portfolio_bacon[,2], method="alternative"))

    data(managers)
    print(AppraisalRatio(managers['1996',1], managers['1996',8]))
    print(AppraisalRatio(managers['1996',1:5], managers['1996',8]))

[Package PerformanceAnalytics version 1.5.3 Index]